libpam-kwallet5_5.12.8-0ubuntu0.1_i386.deb


Advertisement

Description

libpam-kwallet5 - KWallet (Kf5) integration with PAM

Property Value
Distribution Ubuntu 18.04 LTS (Bionic Beaver)
Repository Ubuntu Updates Universe i386
Package filename libpam-kwallet5_5.12.8-0ubuntu0.1_i386.deb
Package name libpam-kwallet5
Package version 5.12.8
Package release 0ubuntu0.1
Package architecture i386
Package type deb
Category universe/kde
Homepage https://projects.kde.org/projects/kde/workspace/kwallet-pam
License -
Maintainer Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Download size 10.19 KB
Installed size 35.00 KB
The KDE Wallet system provides a secure way to store passwords and other
secret information, allowing the user to remember only a single KDE Wallet
password instead of numerous different passwords and credentials.
This package provides a simple PAM integration for KWallet, so you can log in
to open a KWallet.

Alternatives

Package Version Architecture Repository
libpam-kwallet5_5.12.8-0ubuntu0.1build1~ubuntu18.04~ppa1_i386.deb 5.12.8 i386 Kubuntu Backports
libpam-kwallet5_5.12.8-0ubuntu0.1build1~ubuntu18.04~ppa1_amd64.deb 5.12.8 amd64 Kubuntu Backports
libpam-kwallet5_5.12.8-0ubuntu0.1_amd64.deb 5.12.8 amd64 Ubuntu Updates Universe
libpam-kwallet5_5.12.4-0ubuntu1_i386.deb 5.12.4 i386 Ubuntu Universe
libpam-kwallet5_5.12.4-0ubuntu1_amd64.deb 5.12.4 amd64 Ubuntu Universe
libpam-kwallet5 - - -

Requires

Name Value
libc6 >= 2.4
libgcrypt20 >= 1.8.0
libpam-kwallet-common = 4:5.12.8-0ubuntu0.1
libpam0g >= 0.99.7.1
socat -

Replaces

Name Value
pam-kwallet5 << 4:5.5

Download

Type URL
Mirror archive.ubuntu.com
Binary Package libpam-kwallet5_5.12.8-0ubuntu0.1_i386.deb
Source Package kwallet-pam

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libpam-kwallet5 deb package:
    # sudo apt-get install libpam-kwallet5

Files

Path
/lib/i386-linux-gnu/security/pam_kwallet5.so
/usr/share/doc/libpam-kwallet5/changelog.Debian.gz
/usr/share/doc/libpam-kwallet5/copyright

Changelog

2019-07-04 - Rik Mills <rikmills@kubuntu.org>
kwallet-pam (4:5.12.8-0ubuntu0.1) bionic; urgency=medium
* New upstream release (5.12.8) (LP: #1819075)
2018-10-04 - Rik Mills <rikmills@kubuntu.org>
kwallet-pam (4:5.12.7-0ubuntu0.1) bionic; urgency=medium
* New upstream release (5.12.7) (LP: #1794494)
* debian/patches: Drop all patches for CVE-2018-10380. Included in
this bugix release.
2018-06-14 - Simon Quigley <tsimonq2@ubuntu.com>
kwallet-pam (4:5.12.4-0ubuntu1.3) bionic-security; urgency=medium
* SECURITY UPDATE: Access to privileged files (LP: #1768649):
- fix-CVE-2018-10380-1.patch
- fix-CVE-2018-10380-2.patch
- fix-CVE-2018-10380-3.patch
- CVE-2018-10380
2018-05-04 - Steve Beattie <sbeattie@ubuntu.com>
kwallet-pam (4:5.12.4-0ubuntu1.2) bionic-security; urgency=medium
* REGRESSION UPDATE: revert CVE-2018-10380 fixes in
4:5.12.4-0ubuntu1.1, as it caused people to lose wallets
(LP: #1769187)
- drop fix-CVE-2018-10380-1.patch and fix-CVE-2018-10380-2.patch
2018-05-03 - Simon Quigley <tsimonq2@ubuntu.com>
kwallet-pam (4:5.12.4-0ubuntu1.1) bionic-security; urgency=medium
* SECURITY UPDATE: Access to privileged files (LP: #1768649):
- fix-CVE-2018-10380-1.patch
- fix-CVE-2018-10380-2.patch
- CVE-2018-10380
2018-03-27 - Rik Mills <rikmills@kubuntu.org>
kwallet-pam (4:5.12.4-0ubuntu1) bionic; urgency=medium
* New upstream release (5.12.4)
2018-03-09 - Rik Mills <rikmills@kubuntu.org>
kwallet-pam (4:5.12.3-0ubuntu1) bionic; urgency=medium
* New upstream release (5.12.3)
2018-02-20 - Rik Mills <rikmills@kubuntu.org>
kwallet-pam (4:5.12.2-0ubuntu1) bionic; urgency=medium
* New upstream release (5.12.2)
2018-02-14 - Rik Mills <rikmills@kubuntu.org>
kwallet-pam (4:5.12.1-0ubuntu1) bionic; urgency=medium
* New upstream release (5.12.1)
2018-02-06 - Rik Mills <rikmills@kubuntu.org>
kwallet-pam (4:5.12.0-0ubuntu1) bionic; urgency=medium
* New upstream release (5.11.95)
* New upstream release (5.12.0)

See Also

Package Description
libpango1.0-0_1.40.14-1ubuntu0.1_i386.deb Layout and rendering of internationalized text (transitional package)
libparted-i18n_3.2-20ubuntu0.2_all.deb disk partition manipulator - i18n support
libpcl-apps1.8_1.8.1+dfsg1-2ubuntu2.18.04.1_i386.deb Point Cloud Library - apps library
libpcl-common1.8_1.8.1+dfsg1-2ubuntu2.18.04.1_i386.deb Point Cloud Library - common library
libpcl-dev_1.8.1+dfsg1-2ubuntu2.18.04.1_i386.deb Point Cloud Library - development files
libpcl-doc_1.8.1+dfsg1-2ubuntu2.18.04.1_all.deb Point Cloud Library - documentation
libpcl-features1.8_1.8.1+dfsg1-2ubuntu2.18.04.1_i386.deb Point Cloud Library - features library
libpcl-filters1.8_1.8.1+dfsg1-2ubuntu2.18.04.1_i386.deb Point Cloud Library - filters library
libpcl-io1.8_1.8.1+dfsg1-2ubuntu2.18.04.1_i386.deb Point Cloud Library - I/O library
libpcl-kdtree1.8_1.8.1+dfsg1-2ubuntu2.18.04.1_i386.deb Point Cloud Library - kdtree library
libpcl-keypoints1.8_1.8.1+dfsg1-2ubuntu2.18.04.1_i386.deb Point Cloud Library - keypoints library
libpcl-ml1.8_1.8.1+dfsg1-2ubuntu2.18.04.1_i386.deb Point Cloud Library - ml library
libpcl-octree1.8_1.8.1+dfsg1-2ubuntu2.18.04.1_i386.deb Point Cloud Library - octree library
libpcl-outofcore1.8_1.8.1+dfsg1-2ubuntu2.18.04.1_i386.deb Point Cloud Library - outofcore library
libpcl-people1.8_1.8.1+dfsg1-2ubuntu2.18.04.1_i386.deb Point Cloud Library - people library
Advertisement
Advertisement